Package com.independentsoft.office.spreadsheet.pivotTables

# Class PageField

java.lang.Object
com.independentsoft.office.spreadsheet.pivotTables.PageField

public class PageField extends Object
The Class PageField.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageField()`
  Instantiates a new page field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PageField`
  `clone()`
  `String`
  `getDisplayName()`
  Gets the display name.
  `long`
  `getFieldIndex()`
  Gets the field index.
  `String`
  `getHierarchyUniqueName()`
  Gets the hierarchy unique name.
  `long`
  `getItemIndex()`
  Gets the item index.
  `long`
  `getOlapHierarchyIndex()`
  Gets the olap hierarchy index.
  `void`
  `setDisplayName​(String displayName)`
  Sets the display name.
  `void`
  `setFieldIndex​(long fieldIndex)`
  Sets the field index.
  `void`
  `setHierarchyUniqueName​(String hierarchyUniqueName)`
  Sets the hierarchy unique name.
  `void`
  `setItemIndex​(long itemIndex)`
  Sets the item index.
  `void`
  `setOlapHierarchyIndex​(long olapHierarchyIndex)`
  Sets the olap hierarchy index.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PageField

    public PageField()
    Instantiates a new page field.

- ## Method Details

  - ### clone

    public PageField clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDisplayName

    public String getDisplayName()
    Gets the display name.
    Returns:
      the display name

  - ### setDisplayName

    public void setDisplayName​(String displayName)
    Sets the display name.
    Parameters:
      `displayName` - the new display name

  - ### getFieldIndex

    public long getFieldIndex()
    Gets the field index.
    Returns:
      the field index

  - ### setFieldIndex

    public void setFieldIndex​(long fieldIndex)
    Sets the field index.
    Parameters:
      `fieldIndex` - the new field index

  - ### getOlapHierarchyIndex

    public long getOlapHierarchyIndex()
    Gets the olap hierarchy index.
    Returns:
      the olap hierarchy index

  - ### setOlapHierarchyIndex

    public void setOlapHierarchyIndex​(long olapHierarchyIndex)
    Sets the olap hierarchy index.
    Parameters:
      `olapHierarchyIndex` - the new olap hierarchy index

  - ### getItemIndex

    public long getItemIndex()
    Gets the item index.
    Returns:
      the item index

  - ### setItemIndex

    public void setItemIndex​(long itemIndex)
    Sets the item index.
    Parameters:
      `itemIndex` - the new item index

  - ### getHierarchyUniqueName

    public String getHierarchyUniqueName()
    Gets the hierarchy unique name.
    Returns:
      the hierarchy unique name

  - ### setHierarchyUniqueName

    public void setHierarchyUniqueName​(String hierarchyUniqueName)
    Sets the hierarchy unique name.
    Parameters:
      `hierarchyUniqueName` - the new hierarchy unique name